Package com.io7m.idstore.server.admin_v1

# Class IdACB1Sends

java.lang.Object
com.io7m.idstore.server.admin_v1.IdACB1Sends

All Implemented Interfaces:
  `com.io7m.repetoir.core.RPServiceType`

public final class IdACB1Sends extends Object implements com.io7m.repetoir.core.RPServiceType
Convenient functions to send messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACB1Sends(IdACB1Messages inMessages)`
  Convenient functions to send messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  `void`
  `send(jakarta.servlet.http.HttpServletResponse response, int statusCode, IdAMessageType message)`
  Send a message.
  `void`
  `sendError(jakarta.servlet.http.HttpServletResponse response, UUID requestId, int statusCode, com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode> error)`
  Send an error message.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACB1Sends

    public IdACB1Sends(IdACB1Messages inMessages)
    Convenient functions to send messages.
    Parameters:
      `inMessages` - A message codec

- ## Method Details

  - ### sendError

    public void sendError(jakarta.servlet.http.HttpServletResponse response, UUID requestId, int statusCode, com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode> error) throws IOException
    Send an error message.
    Parameters:
      `response` - The servlet response
      `requestId` - The request ID
      `statusCode` - The HTTP status code
      `error` - The error
    Throws:
      `IOException` - On errors

  - ### send

    public void send(jakarta.servlet.http.HttpServletResponse response, int statusCode, IdAMessageType message) throws IOException
    Send a message.
    Parameters:
      `response` - The servlet response
      `statusCode` - The HTTP status code
      `message` - The message
    Throws:
      `IOException` - On errors

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`